VectorLinux
August 21, 2014, 09:42:44 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1] 2
  Print  
Author Topic: Kopete and Gtalk?  (Read 4924 times)
Pegazeka
Member
*
Posts: 15



« on: December 08, 2007, 04:33:27 am »

so, did anyone manage to do this? i'm using pidgin at the moment and i want my kopete back Sad

should i install that qca-tls plugin from source? or is there some other solution?
Logged
Triarius Fidelis
Vecteloper
Vectorian
****
Posts: 2399


Domine, exaudi vocem meam


WWW
« Reply #1 on: December 08, 2007, 07:50:55 am »

Well, what is wrong with Kopete now?
Logged

"Leatherface, you BITCH! Ho Chi Minh, hah hah hah!"

Formerly known as "Epic Fail Guy" and "Döden" in recent months
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #2 on: December 08, 2007, 08:29:07 am »

I am having troubles in 5.9RC3 with messaging programs as well. Looks like some changes in the msn protocol messed up the things a little. We use a webcam to chat with Vanesa's family (they live in Puerto Madryn, far far away). So I compiled aMsn to get cam support, but it complains about tlc / TSL. They are used by the msn protocol now. I think it is installed, but the apps can't find the path. I compiled tlc from source with no success. I am a little lost right now, but still looking for a solution.

BTW, I compiled the gspca module without problems and the camera is working. I though getting the camera to work could be hard, but was really easy. I tested the camera with aMsn and skype, looking foward for wengophone and others.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Pegazeka
Member
*
Posts: 15



« Reply #3 on: December 08, 2007, 08:49:49 am »

hey hanumizzle, again to the rescue Wink

the thing is, that somehow i don't feel comfortable in vector to compile from source. i don't know my way around - should i use checkinstall, should i not (it was broken and a lot of peeps i know advise against it). i didn't find a vector package for that qca-tls plugin which is needed for gtalk. so it's not really a kopete problem, it's my vector newbie problem. and it's really your fault for being such a nice community that i feel comfortable enough to ask questions, which i never really do Tongue

so again, those who use gtalk in kopete, how did you do it?
Logged
Triarius Fidelis
Vecteloper
Vectorian
****
Posts: 2399


Domine, exaudi vocem meam


WWW
« Reply #4 on: December 08, 2007, 09:16:52 am »

the thing is, that somehow i don't feel comfortable in vector to compile from source. i don't know my way around - should i use checkinstall, should i not (it was broken and a lot of peeps i know advise against it).

I prefer to use ./configure when available.
Logged

"Leatherface, you BITCH! Ho Chi Minh, hah hah hah!"

Formerly known as "Epic Fail Guy" and "Döden" in recent months
exeterdad
Packager
Vectorian
****
Posts: 2046



« Reply #5 on: December 10, 2007, 01:59:26 pm »

Quote
I prefer to use ./configure when available.
Doh!   Cheesy
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #6 on: December 10, 2007, 03:24:14 pm »

Well, after some digging, I have to say I cant make any app to see the tsl package. I didn't tried kopete yet, but aMsn still complains about it, even when it is installed. Something weird is going on. I suspect Pegazeka is experiencing the same problem.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Triarius Fidelis
Vecteloper
Vectorian
****
Posts: 2399


Domine, exaudi vocem meam


WWW
« Reply #7 on: December 11, 2007, 05:13:17 pm »

Well, after some digging, I have to say I cant make any app to see the tsl package. I didn't tried kopete yet, but aMsn still complains about it, even when it is installed. Something weird is going on. I suspect Pegazeka is experiencing the same problem.

Might recompilation be necessary?
Logged

"Leatherface, you BITCH! Ho Chi Minh, hah hah hah!"

Formerly known as "Epic Fail Guy" and "Döden" in recent months
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #8 on: December 11, 2007, 07:02:35 pm »

Well, after some digging, I have to say I cant make any app to see the tsl package. I didn't tried kopete yet, but aMsn still complains about it, even when it is installed. Something weird is going on. I suspect Pegazeka is experiencing the same problem.

Might recompilation be necessary?

Perhaps, aMsn has an option in the gui to set the path to the libs, but obviously is not working. I dropped this in favor of some issues with the nvidia drivers, but already solved them. The problem was the nice and 'user friendly' nvidia wizard was making a bad xorg.conf. I guess is another point for Kidd and yourself in favor of the cli  Roll Eyes. Man xorg.conf gave all what I need.
So I am back with this. I will recompile tomorrow.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Pegazeka
Member
*
Posts: 15



« Reply #9 on: December 13, 2007, 05:33:50 am »

let us know how it went!
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #10 on: December 13, 2007, 05:41:29 am »

Hi pegazeka, I managed to get aMsn working recompiling tcl, tk, tls and finally amsn. Google say everybody is experiencing some problems with this. I will try to clean my machine and give a shot to kopete so I can help you better.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Pegazeka
Member
*
Posts: 15



« Reply #11 on: December 13, 2007, 05:53:06 am »

tnx. i have some other issues that i'm trying to solve so i can't get into this at the moment, so your help would be great Smiley
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #12 on: December 13, 2007, 06:23:32 am »

well, installed kopete from slapt-get expecting to get some error message, but it worked out of the box. How did you install it? What error do you get? Perhaps my work for amsn did the trick for kopete too, but I doubt it, I was expecting a recompile for kopete too. I tell you what I did for amsn just in case: I compiled tcl, tk, and tls in that order. I passed the path to them through ./configure, for example, ./configure --with-tcl=/path/to/tcl for tk, and so on. Thats all. I can't remember if I had to get openssl from the repo or it is by default in vl, you can check if you have it through gslapt, or take a look into /var/log/packages.
Let us know.
« Last Edit: December 13, 2007, 06:25:59 am by rbistolfi » Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Pegazeka
Member
*
Posts: 15



« Reply #13 on: December 13, 2007, 06:54:31 am »

tcl and tk are alredy there, but when i try to compile tls this is what i get:

Code:
hanuman:/~/!!!/qca-tls-1.0
pegazeka:$ ./configure
Configuring qca-tls ...
Verifying Qt 3.x Multithreaded (MT) build environment ... ok
Checking for OpenSSL ... yes

Good, your configure finished. Now run 'make'.

hanuman:/~/!!!/qca-tls-1.0
pegazeka:$ make
g++ -c -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -DQCA_PLUGIN -DOSSL_097 -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED -I/usr/lib/qt/mkspecs/default -I. -I/usr/lib/qt/include -o qca-tls.o qca-tls.cpp
qca-tls.cpp: In member function `virtual bool RSAKeyContext::createFromDER(const char*, unsigned int)':
qca-tls.cpp:457: error: invalid conversion from `unsigned char**' to `const unsigned char**'
qca-tls.cpp:457: error:   initializing argument 2 of `RSA* d2i_RSA_PUBKEY(RSA**, const unsigned char**, long int)'
qca-tls.cpp: In member function `virtual bool CertContext::createFromDER(const char*, unsigned int)':
qca-tls.cpp:802: error: invalid conversion from `unsigned char**' to `const unsigned char**'
qca-tls.cpp:802: error:   initializing argument 2 of `X509* d2i_X509(X509**, const unsigned char**, long int)'
make: *** [qca-tls.o] Error 1
hanuman:/~/!!!/qca-tls-1.0
pegazeka:$     

so i guess i'll have to recompile tcl and tk... :-/
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #14 on: December 13, 2007, 07:00:01 am »

Try this instead: http://downloads.sourceforge.net/tls/tls1.5.0-src.tar.gz?modtime=1076976000&big_mirror=0
IIRC, you have to pass the ssl path manually, see ./configure --help
« Last Edit: December 13, 2007, 07:01:40 am by rbistolfi » Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Pages: [1] 2
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!